
QGIS Application - Bug report #1180

Crash on OS X when adding vector layers

2008-07-24 05:06 AM - Shanker -

Status: Closed

Priority: Low

Assignee: Tom Elwertowski

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11240

Description

Hi Guys,

There's apparently a bug with OS X that when using the file open or add vector or raster layer dialogs to navigate to a folder containing an

alias to a shared volume (typically this might be the desktop containing an alias to one or more servers) qgis 0.11.0 will try and mount the

volume or crash if it can't. This behavior was not in 0.10.0. Using OS X 10.4.11 ppc. If the aliases are mounted as volumes, qgis is fine,

but obviously there will be many occasions where the volumes aren't required (or aren't available).

History

#1 - 2008-07-27 12:59 PM - Jürgen Fischer

see additional comments in #1188 and #1189

#2 - 2008-07-27 01:04 PM - Jürgen Fischer

and #1187

#3 - 2008-09-06 11:24 PM - Tom Elwertowski

This looks like a Qt 4.4 problem. A bug has been submitted to Trolltech.

The bug is not present in Qt 4.3 (which was current when QGIS 0.10.0 was released). A workaround is to build the current QGIS using Qt 4.3.

Another workaround is to use a symlink instead of an alias for the volume. Qt 4.4 will correctly handle an unmounted symlink but you can't double-click it to

mount it; it's necessary to use the Finder's Connect to Server command or some other method.

#4 - 2009-04-14 11:01 PM - Paolo Cavallini

Still true? Please check it again with a recent QGIS (>= 1.0, better 1.0.1 or trunk). If it is invalid, please close it, otherwise send confirmation. Thanks.

#5 - 2009-04-15 04:36 PM - Shanker -

Problem persists in 1.0. Thanks
#6 - 2009-07-13 03:36 AM - Giovanni Manghi

Hi,

is the problem still true? Can you please test a recent version of qgis (>= 1.1) on your platform? Thanks.

#7 - 2009-07-15 04:07 AM - simonb -

- Resolution set to worksforme

- Status changed from Open to Closed

Testing with OS X 10.5.7 and Qgis 1.1.0-Pan (Unstable) installed from http://www.kyngchaos.com/files/software/unixport/Qgis-1.1.0-3-Leopard.dmg.

Layer -> Add Vector Layer -> Source Type = File -> Browse to folder containing aliases to three currently unmountable volumes -> Two attempts are made

by Qgis to mount each of the three aliases, each resulting in OS X alert stating volume not available -> no crash experienced.
